<?php
 
session_start();
include("DMMYSQLG.php");
require_once("DF80000.php");
 $_SESSION['comand'];
if ($_SESSION['comand']==0){  // como valorar que tenga comanda 
	  $dt=0;
}else if ($_SESSION['comand']!=0){ 
	$dt=1;
} // termina 
if(isset($_POST['gg'])){//Devuelve Tabla Grupos
	$idLinea=mysqli_real_escape_string($con,trim($_POST['igr']));
	$sq_inventGru=mysqli_query($con ,$sq="SELECT dginventp.linea as idLin, dginventp.gpo_basico as idGru, dgbasicop.des_basico as desGru, dgbasicop.gpo_basico as imgBas FROM dginventp INNER JOIN dgbasicop on dgbasicop.gpo_basico=dginventp.gpo_basico WHERE dginventp.linea='$idLinea' and dgbasicop.ubicacion='V' group by dginventp.gpo_basico");
	echo '<table border="0" cellspacing="4" cellpadding="0">
			<tr  height="80">';
	while($dt_dat=mysqli_fetch_array($sq_inventGru)){
		echo "<td onclick=\"getPro('".$dt_dat['idLin']."','".$dt_dat['idGru']."')\"  class=\"cellGrupo\"><div  class=\"cellGrupo\" style=\"font-size:11px\">";
		// style=\"color:#000000\"
				$fotografia = 'foto/dgbasicop/NO_'. $dt_dat["imgBas"] .'.JPG';
		if (file_exists($fotografia)) {
			echo strtoupper($dt_dat['desGru']).'<img src="foto/dgbasicop/NO_'.$dt_dat["imgBas"].'.JPG" width="80" height="35">';
		}else{
			//echo '<img src="foto/sin_producto.jpg" width="40" height="40">';
			echo strtoupper($dt_dat['desGru']);
		}
		echo "</div>
			 </td>";
	}		
	echo "	</tr>
		  </table>";		

}elseif(isset($_POST['gp'])){//Devuelve Tabla Productos
	$idLinea=mysqli_real_escape_string($con,trim($_POST['ili']));
	$idGrupo=mysqli_real_escape_string($con,trim($_POST['igr']));
	$sq_invent=mysqli_query($con ,$sq="SELECT nparte1 as idProd,np_desc1 as desProd,lim_vta1 as preVen,exi_fis as exiFis,afe_inv as afeInv,pid_mod as modific,afe_coman as manual FROM dginventp WHERE linea='$idLinea' AND gpo_basico='$idGrupo'  and dginventp.ubicacion='V' order by np_desc1");
	//echo $sq;
	echo '<table border="0" cellspacing="2" cellpadding="0">';
	echo '<tr>';
	echo '<td>&nbsp;</td>';
	echo '</tr>';
	$proXlin=5;
	$auxNumLin=-1;
	while($dt_invent=mysqli_fetch_array($sq_invent)){
		$auxNumLin++;		
		if($auxNumLin==-1 || $auxNumLin%$proXlin==0){
			if($auxNumLin==-1){
				echo "<tr>";
			}else{
				echo "</tr><tr>";
			}
		}
		if($dt_invent['afeInv']!="" && $dt_invent['afeInv']!='N' && $dt_invent['afeInv']!="0") $exis="\n EX.".$dt_invent['exiFis'];
		else $exis="";

		if ($dt_invent['modific']==1 and $dt_invent['manual']==0){
			echo "<td onclick=\"agrProd('1','".$dt_invent['idProd']."');window.open('TEC10000.php?prod=".$dt_invent['idProd']."&nop=".$_SESSION['foli']."&fcom=".$_SESSION['comand']."','_blank','width=345,height=200,scrollbars=NO,minimize=0');\">";
		}elseif ($dt_invent['modific']==0 and $dt_invent['manual']==1) {  //345 witdhc  height=200
			echo "<td onclick=\"agrProd('1','".$dt_invent['idProd']."');window.open('TEC20000.php?prod=".$dt_invent['idProd']."&nop=".$_SESSION['foli']."&fcom=".$_SESSION['comand']."','_blank','width=345,height=200,scrollbars=NO,minimize=0');\">";
		}else{
		    echo "<td onclick=\"agrProd('1','".$dt_invent['idProd']."')\">";
		}

//			echo "<td onclick=\"agrProd('1','".$dt_invent['idProd']."')\">";
			echo "<div ><pre class=\"cellProducto\" style=\"font-size:10px\">".substr($dt_invent['desProd'],0,16)."\n";
		///--------
		$fotografia = 'foto/dginventp/NO_'. $dt_invent["idProd"] .'.JPG';
		if (file_exists($fotografia)) {
			echo strtoupper($dt_dat['desGru']).'<img src="foto/dginventp/NO_'.$dt_invent["idProd"].'.JPG" width="90" height="30">';
		}else{
			//echo '<img src="foto/sin_producto.jpg" width="40" height="40">';
//			echo strtoupper($dt_dat['desGru']);
		}
		//---------
		//VERIFICA EL PRECIO POR PUNTO DE VENTA
		$sql_pt=mysqli_fetch_array(mysqli_query($con ,"select * from dgpreciop where id_ptventa='".$_SESSION['punto']."' and id_invet='".$dt_invent['idProd']."'")); 
		if ($sql_pt['precio']!=''){
		$dt_invent['preVen']=$sql_pt['precio'];
		echo "\n PU.\$".number_format($dt_invent['preVen'],2,'.',',')."$exis2x</pre></div></td>";		
		}else {
		echo "\n PU.\$".number_format($dt_invent['preVen'],2,'.',',')."$exis2x</pre></div></td>";		
		}
	}
	echo "</tr></table>";		

}elseif(isset($_POST['gl'])){
	//$sq_inventLin=mysqli_query($con ,"SELECT linea as idLin,des_linea as desLin FROM dglineasp");
if ($dt==1){	//valorar
	$sq_inventLin=mysqli_query($con ,$sq="SELECT dginventp.linea as idLin, dginventp.gpo_basico as idGru, dglineasp.des_linea as desLin FROM dginventp INNER JOIN dglineasp on dglineasp.linea=dginventp.linea WHERE dglineasp.ubicacion='V' group by dginventp.linea");	
	echo '<table border="0" cellspacing="4" cellpadding="0">
			<tr  height="80">';
	while($dt_lineas=mysqli_fetch_array($sq_inventLin)){
		echo "<td onclick=\"getGru('".$dt_lineas['idLin']."')\" class=\"cellLinea\" ><div  class=\"cellLinea\" style=\"color:#000000\" style=\"font-size:11px\">".$dt_lineas['desLin']."</div></td>";
	}		
	echo "	</tr>
		  </table>";
} //valorar
}elseif(isset($_POST['agp'])){
	$tipMov=$_POST['agp'];
	switch($tipMov){
		case 'A':
			$vendedor=$_SESSION['vendedor'];
			//buscar el publico en general
			@$dttipven=mysqli_fetch_array(mysqli_query($con ,"select * from dgtipven where tip_ven =1"));
			$_SESSION['al']=$dttipven['almacen'];
			$fieldAct='con_ven';
		//$dt_parame=mysqli_fetch_array(mysqli_query($con ,"SELECT * FROM dgparame"));
			$conVen=++$dttipven['con_ven'];
			mysqli_query($con ,"UPDATE dgtipven SET $fieldAct='$conVen' WHERE tip_ven=1");
			@$dtparame=mysqli_fetch_array(mysqli_query($con ,"select * from dgparame"));
$_SESSION['fecven']=$date["fec_alta"];
			$rs=mysqli_query($con ,"INSERT INTO dgpemema (tip_ven, fec_ven,cod_cli, alm_gen, cod_ven, acc_fec, acc_hor, usuario,hor_ven,con_ven,fpos_mesa) VALUES ('".$_SESSION['tipven']."','".$_SESSION['fecven']."', '".$dtparame['cod_pubgral']."','".$dttipven['almacen']."', '$vendedor', CURDATE(), '".date('H:i:s')."','".$_SESSION['num_usu']."',CURTIME(),'$conVen','".$_SESSION['mesa']."')");
			mysqli_query($con ,"update dgpemema set con_ven=fol_ven where con_ven!=fol_ven");
			

			$nr = mysqli_insert_id($con);
//Agrega la comanda 
@$cf=mysqli_fetch_array(mysqli_query($con ,"select fol_ven from dgpemema order by fol_ven desc limit 1"));
$ki=mysqli_query($con ,"INSERT INTO fcomanda set fol_ven='".$cf['fol_ven']."',cvmesa='".$_SESSION['mesa']."',cvpunto='".$_SESSION['punto']."',cvarea='".$_SESSION['area']."',cvmesero='".$_SESSION['vendedor']."',usuario='".$_SESSION['num_usu']."',fol_comd='".$_SESSION['comand']."',acc_fec='".$dt_empres['fec_alta']."'");
//Agregar el folio de venta a los huesped y de la mesa
$hues=mysqli_query($con ,"UPDATE fcomhues SET fol_ven=".$cf['fol_ven'] ."where nparte1=".$_SESSION['hsp']."");
$modmesa=mysqli_query($con ,"UPDATE ctmesas SET fol_ven=".$cf['fol_ven']."  , status=1, acc_fec=".$dt_empres['fec_alta']." where nparte1=".$_SESSION['mesa']."");
$posicion=mysqli_query($con ,"INSERT INTO fpos (nparte1,mesa,fol_ven,status,acc_fec,acc_hor,usuario) values ('".$_SESSION['posi']."','".$_SESSION['mesa']."','".$cf['fol_ven']."','1','".$dt_empres['fec_alta']."','".date('H:i:s')."','".$_SESSION['num_usu']."') ") ;

$pos_res=mysqli_query($con ,"INSERT INTO fposres (nparte1, mesa, fol_ven, status, acc_fec, acc_hor, usuario) values ('".$_SESSION['posi']."', '".$_SESSION['mesa']."', '".$cf['fol_ven']."', '1', '".$dt_empres['fec_alta']."', '".date('H:i:s')."', '".$_SESSION['num_usu']."') ") ;



			if($rs) 
				echo $nr;
			else
				echo  0;
		break;
	}
}elseif(isset($_POST['adv'])){

	$noPed=$_POST['nve'];   //numero de pedido
	$producto=$_POST['ipr'];//producto solicitado
	$cantidad=$_POST['cpr'];//cantidad parcial solicitada

	$canPed=0;          //cantidad total solicitada
	$esCargado=false;   //Bandera producto de cargado anteriormente(true: si ha sido cargado, false: no)
	$exiFisGlo=0;		//Existencia Fisica Global actual(ya sin $cantidad)
	$exiDisGlo=0;		//Existencia Disponible Global actual(ya sin $cantidad)
	$exiFisAlm=0;		//Existencia Fisica Por ALmacen actual(ya sin $cantidad)
	$exiDisAlm=0;		//Existencia Disponible Por Almacen actual(ya sin $cantidad)

	$tipoComprador=0;   //para determinar precio especial
	$porDes=0;          //Porsentaje de descuento
	$IVA=0;				//IVA aplicado al precio del producto
	$DES=0;				//Descuento aplicado
	$idAlm=$_SESSION['al'];
	//echo 'ALMACEN: '.$idAlm.'\n';
	if($cantidad == "" || $cantidad ==0){
		echo "¡¡¡Es necesario una cantidad!!!";
	}else{
		//sacar producto del almacen actual
		$dt_invent=mysqli_fetch_array(mysqli_query($con ,"SELECT * FROM dginventp WHERE nparte1='$producto'"));
		$sq_pememd=mysqli_query($con ,"select * from dgpememd where cons_ven = '".$noPed."' AND nparte1 = '".$producto."' and fcomd=".$_SESSION['comand']."");
		$dt_pememd=mysqli_fetch_array($sq_pememd);
		//if($dt_invent['afe_inv']=='S' || $dt_invent['afe_inv']=='1') $dt_invent['afe_inv']=1;
		//else $dt_invent['afe_inv']=0;
		@$sq_invalm = mysqli_query($con ,$sq="SELECT * FROM dginvalm WHERE nparte1='$producto' && almacen = '$idAlm'");
		//echo "CAN: ".($cantidad+$dt_pememd['can_ref'])."\n";
		//echo $sq;
		if(mysqli_num_rows($sq_invalm)==0 && ($dt_invent['afe_inv']==1 || $dt_invent['afe_inv']=='S')){//si el producto no se encuentra en almacen
			echo "-1|Ese articulo no se encuentra en este almacen".'<br>';
		}else{//Si el producto se encuentra en almacen
			$dt_invalm=mysqli_fetch_array($sq_invalm);
			if($dt_invalm["exi_fis_alm"]<($cantidad+$dt_pememd['can_ref']) && ($dt_invent['afe_inv']=='1' || $dt_invent['afe_inv']=='S')){//Si no se puede surtir la cantidad solicitada
				echo "-5|No hay suficientes articulos\n Disponibles: ".$dt_invalm['exi_fis_alm']." ,afec:".$dt_invent['afe_inv']."::";
			}else{//Si se puede surtir la cantidad solicitada
				//Recuperar Producto de inventario global
				@$dt_invent=mysqli_fetch_array(mysqli_query($con ,"SELECT * FROM dginventp WHERE   nparte1 ='$producto'"));
					
				//Se verifica si ya ha sido cargado este producto en venta e inicializa $canPed

				//echo mysqli_error($con);
				if(mysqli_num_rows($sq_pememd)>0) {
					
					$canPed=$dt_pememd['can_ref']+$cantidad;
					$esCargado=true;
				}else {
					$canPed=$cantidad;
					$esCargado=false;
				} 
				/*if ($fbcom['fcomd']==$_SESSION['comd']){
					$canPed=$dt_pememd['can_ref']+$cantidad;
					$esCargado=true;
				}else {
					$canPed=$cantidad;
					$esCargado=false;
				}*/

				//Calcular nuevas Existencias Fisica y Disponible, Global y Por Almacen
				if($dt_invent['afe_inv']==1 || $dt_invent['afe_inv']=='S' ){
					$exiFisGlo=$dt_invent['exi_fis'] - $cantidad;
					$exiDisGlo=$dt_invent['exi_dis'] - $cantidad;
					
					$exiFisAlm=$dt_invalm["exi_fis_alm"] - $cantidad;
					$exiDisAlm=$dt_invalm["can_dis_alm"] - $cantidad;
				}
				/*Determinar el precio de venta*/
				//VERIFICA EL PRECIO POR PUNTO DE VENTA
		$sql_pt=mysqli_fetch_array(mysqli_query($con ,"select * from dgpreciop where id_ptventa='".$_SESSION['punto']."' and id_invet='".$dt_invent['nparte1']."'")); 
		echo mysqli_error($con);
		if ($sql_pt['precio']!=''){
//		$dt_invent['lim_vtal']=$sql_pt['precio'];
				$precio = $sql_pt['precio'];

		}else {
				$precio = $dt_invent['lim_vta1'];
		}
		
				
				//Sacar IVA a aplicar
				if($dt_invent['cve_iva_ven']!=0){
					$dt_tasiva=mysqli_fetch_array(mysqli_query($con ,"Select * from dxtasiva where cve_iva='".$dt_invent['cve_iva_ven']."'"));
					$IVA=round($dt_tasiva['porc_iva']/100,2);
				}else{
					$IVA=0;
				}
				$DES=round($porDes/100,2);
				$ventaTotal=round($precio * $canPed,2); //Calcula Precio de venta total por articulos  netos pedidos
				$preUniSinIva=round($precio/(1+$IVA),5);	//Precio Unitario Sin Iva
				$ivaUni=round($precio-$preUniSinIva,2);			//Iva Unitario
				$des = round(($preUniSinIva * $DES),2); //descuento aplicado al Precio Unitario Sin IVA
				$totConDes= round($preUniSinIva - $des,2); //Precio Unicario con IVA y descuento Unitario Aplicado
				$sub_t = round($totConDes * $canPed,2);	//Sub Total de Venta 
				$ivaTot=round($sub_t *$IVA,2);			//IVA total de Venta
				$preTot=round($sub_t + $ivaTot,2);		//Total de Venta con IVA y descuento Aplicado(por cantidad neta pedida de Art.)
				
				if($DES==0){
					$preTot=$ventaTotal;		//Total de Venta con IVA y descuento Aplicado(por cantidad neta pedida de Art.)
					$sub_t =round($preTot/(1+$IVA),2);
					$ivaTot=round($preTot-$sub_t,2);	//IVA total de Venta				
				}

				/*Se inserta o actualiza dgpememd*/
				if(!$esCargado){
					$sql2=mysqli_query($con ,"INSERT INTO dgpememd SET fec_ven='".$dt_empres['fec_alta']."', cons_ven='$noPed', nparte1='$producto', can_ref='$canPed', pre_uni='$precio', por_des='$porDes', almacen='".$_SESSION['al']."', iva_pre='$ivaTot',subtotal='$sub_t', total_cd='$preTot', des='$des', pre_bas='$totConDes', cve_iva='".$dt_invent['cve_iva']."', acc_fec=CURDATE(),acc_hor=CURTIME(),fcomd=".$_SESSION['comand'].",fpos=".$_SESSION['posi'].",usuario='".$_SESSION['num_usu']."'");
					$idAfectedPememd=mysqli_insert_id();
				}
				else {
					@$sql=mysqli_query($con ,"UPDATE dgpememd SET can_ref='$canPed', pre_uni='$precio', por_des='$porDes', iva_pre='$ivaTot',subtotal='$sub_t', total_cd='$preTot', des='$des', pre_bas='$totConDes', acc_fec='".$dt_empres['fec_alta']."',acc_hor=CURTIME(),usuario='".$_SESSION['num_usu']."',fcomd='".$_SESSION['comand']."',fpos=".$_SESSION['posi']." WHERE nparte1 = '$producto' and cons_ven = '$noPed' and fcomd='".$_SESSION['comand']."'");
				$dt_Afectedpem=mysqli_fetch_array(mysqli_query($con ,"select fol_ven1 From dgpememd WHERE   cons_ven = '$noPed' and nparte1 = '$producto' and fcomd='".$_SESSION['comand']."'"));
					$idAfectedPememd=$dt_Afectedpem['fol_ven1'];
				} 
				/*Se actualiza dgpemema*/
				$dt_pememdG=mysqli_fetch_array(mysqli_query($con ,"SELECT SUM(iva_pre) as iva, SUM(subtotal) as subtotal, SUM(total_cd) as total from dgpememd where cons_ven='$noPed' and cancela=0 "));
				@$ss = mysqli_query($con ,"UPDATE dgpemema SET paso = 1, sub_ven = '".$dt_pememdG['subtotal']."', iva_ven = '".$dt_pememdG['iva']."', tot_ven = '".$dt_pememdG['total']."' WHERE fol_ven = '$noPed'");

//se pone el numero de comanda 
$busco=mysqli_fetch_array(mysqli_query($con ,"select fol_comd from fcomanda where fol_ven='$noPed' order by fol_comd desc limit 1"));

if ($busco['fol_comd']!=$_SESSION['comand']) {
				@$sc= mysqli_query ("insert into fcomanda SET fol_ven='$noPed',fol_comd='".$_SESSION['comand']."',cvmesa='".$_SESSION['mesa']."',cvpunto='".$_SESSION['punto']."',cvare='".$_SESSION['area']."',cvmesero='".$_SESSION['vendedor']."',usuario='".$_SESSION['num_usu']."' ");
				}
				else 
				{
echo "Ningun valor";
				}

/*$ki=mysqli_query($con ,"INSERT INTO fcomanda set fol_ven='".$cf['fol_ven']."',cvmesa='".$_SESSION['mesa']."',cvpunto='".$_SESSION['punto']."',cvarea='".$_SESSION['area']."',cvmesero='".$_SESSION['vendedor']."',usuario='".$_SESSION['num_usu']."',fol_comd='".$_SESSION['comand']."'");*/



				if($dt_invent['afe_inv']==1 || $dt_invent['afe_inv']=='S' ){
					//Se Actualiza Inventario Global
					$sql=mysqli_query($con ,"UPDATE dginventp SET exi_fis = $exiFisGlo, exi_dis = $exiDisGlo WHERE nparte1 = '$producto'");
					//Se Actualiza inventario almacen
					$sql=mysqli_query($con ,"UPDATE dginvalm SET exi_fis_alm = '$exiFisAlm', can_dis_alm = '$exiDisAlm' WHERE nparte1='$producto' and almacen = '".$_SESSION['al']."'");
				}
				//-----------------------------------------><-----------------------------------------//
				//-----------------------------------------><-----------------------------------------//
				//modificar campo de venta en dginvacu
				//-----------------------------------------><-----------------------------------------//
				//-----------------------------------------><-----------------------------------------//
				if($dt_invent['afe_inv']==1 || $dt_invent['afe_inv']=='S' ){
					@$result = mysqli_query($con ,"SELECT * FROM dginvacu WHERE nparte1 = '$producto' order by axo desc, mes desc");
					$num_salidas=mysqli_num_rows($result); 
					//si no estaba ese articulo en el acumulado entonces
					if($num_salidas==0)
					{
						//generar un nuevo registro de venta existencia inicial, final y la compra
						echo 'Este articulo no se encuentra en el acumulado favor de Agregarlo';
					}else{
						$dato = mysqli_fetch_array ($result);
						//sacar el ultimo año y mes
						$uaxo = $dato['axo'];
						$umes = $dato['mes'];
						$exfi = $dato['exi_fin'];
						$exin = $dato['exi_ini'];
						$np  = $dato['nparte1'];
						//si el año es anterior al actual aqui
						if (date("Y") > $uaxo){
							//sacar la cantidad de meses por año de diferencia
							$difaxo = date("Y") - $uaxo;
							$diff=($difaxo-1)*12+date("m")+$umes-1;
							//si es solo un año de diferncia
							/*if($difaxo == 1)
							{
								$diff = 12 - $umes;
							}else{
								$diff = 12 - $umes;
								for($j=1;$j<=$difaxo-1;$j++)
								{
									$diff = $diff + 12;
								}
							}*/	
						//diferencia va ha ser igual a la diferencia de años anteriores + los meses actuales -1
							$diff = $diff + (date("m"));
						}else{
							//en todo caso verificar la diferencia de meses 
							$diff = date("m") - $umes;
						}
						//mandar datos a acumulados
						//si es del mismo mes
						if($diff==0){
							$a = date('Y');
							$m = date('m');
							//buscar datoa anteriores y sumarles los nuevos y reguardar los datos
							//@$result = mysqli_query($con ,"SELECT * FROM dginvacu WHERE nparte1 like '$producto' && axo = '$a' && mes = '$m'");
							//while($dato = mysqli_fetch_array($result))
							//{
								//sacar datos
								//if ($unpa <> ""){
								$unpa = $dato['exi_ini'];
								//}
								$ucom = $dato['compras'];
								$udec = $dato['dev_com'];
								$uten = $dato['tra_ent'];
								$utsa = $dato['tra_sal'];
								$uven = $dato['ventas'];
								$udve = $dato['dev_ven'];
								$ureq = $dato['requi'];
								$uder = $dato['dev_requi'];
							//}
							$uven = $uven + $cantidad;
							$ef = $unpa + $ucom - $udec + $uten - $utsa - $uven + $udve - $ureq + $uder;
							
							//mandar la ctualizacion
							$sql="UPDATE dginvacu set ventas = $uven , exi_fin = $ef WHERE nparte1 like '$producto' && axo = '$a' && mes = '$m'";
							if (!mysqli_query($con ,$sql)){
								die('Error 9: ' . mysqli_error($con));
							}
						}else{
							//elaborar registros por mes atrasado
							$t = $diff + 1;
							for($y=1;$y<=$diff;$y++)
							{
								$t = $t - 1;
								//conocer la fecha del ultimo mes registrado 
								$fecha = date("m/d/Y",mktime(0,0,0,date("m")-$t,date("d"),date("Y")));
								$a = substr($fecha,6);
								//echo $fecha .'<br>';
								$m = substr($fecha,0,2);
								//echo $m;
								//buscar ese registro para sacar 
								
								@$result = mysqli_query($con ,"SELECT * FROM dginvacu WHERE nparte1 like '$producto' && axo = '$a' && mes = '$m'");
								while($dato = mysqli_fetch_array ($result))
								{
									$ef = $dato['exi_fin'];
									//echo "Producto: " . $np2[$i] . '<br>';
									//echo "Existencia final: " . $ef . '<br>';
								}
								//exit();
								$ei = $ef;
								//crear una nueva fecha
								//echo 't:'.$t.'<br>';
								$x = $t - 1;
								//echo 'x:'.$x.'<br>';
								//echo 'meees:'.date("m").'<br>';
								$fecha1 = date("m/d/Y",mktime(0,0,0,date("m")-$x,date("d"),date("Y")));
								//echo 'fecha:'.$fecha1.'<br>';
								$a1 = substr($fecha1,6);
								$m1 = substr($fecha1,0,2);
								//echo 'mes:'.$m1.'<br>';
								//si es el ultimo mes entonces sumarle la nueva cantidad
								if ($a1 == date("Y") && $m1==date("m"))
								{
									$ef = $ca2 + $ei;
									$sql="INSERT INTO dginvacu(nparte1,axo,mes,exi_ini,exi_fin,ventas) VALUES('$producto' ,'$a1', '$m1', '$ei', '$ef', '$cantidad')";	
									if (!mysqli_query($con ,$sql))
									{
										die('Error 10: ' . mysqli_error($con));
									}
								}else{
									$uven = $cantidad;
									$ef = $ei - $uven;
								mysqli_query($con ,"INSERT INTO dginvacu(nparte1,axo,mes,exi_ini,exi_fin, ventas) VALUES('$producto' ,'$a1', '$m1', '$ei', '$ef', '$uven')");	
								}
							}
						}
					}
					 
		///------------------------------------------------------------------------------------------->
		//Inicio de Modificar cardex
		//------------------------------------------------->
					@$result = mysqli_query($con ,"SELECT * FROM dgpememd WHERE cons_ven = '$noPed'");
					while($dato = mysqli_fetch_array ($result))
					{ 
						$al2x=$dato['almacen'];
						$np2x=$dato['nparte1'];
						$ca2x=$dato['can_ref'];
						//$ndox=$dato['num_doc'];
						$tcdx=$dato['total_cd'];
					}
					$num_elemento=count($al2x);
					//echo 'Clava1:'.$num_elemento.'<br>';
					//recorrer el numero de elementos en detalle
					for($i=0;$i<=$num_elemento-1;$i++)
					{
						//---------------------->
						//afectar cardex
						//---------------------->
						//sacar el costo promedio del movimiento
						@$result = mysqli_query($con ,"SELECT * FROM dginventp WHERE dginventp.modulo='".$_SESSION['mod_sis']."' AND   nparte1 like '$producto'");
						while($dato = mysqli_fetch_array ($result)){ 
							$cp2=$dato["cos_prom"];
							$pro2=$dato["cod_pro"];
						}
						//echo 'valida'.$cp2 ;
						//exit();
						//sacar la existencia inicial y la final de este producto
						$a = date('Y');
						$m = date('m');
						@$result = mysqli_query($con ,"SELECT * FROM dginvacu WHERE nparte1 = '$producto' and axo = '$a' and  mes = '$m'");
						while($dato = mysqli_fetch_array ($result)){ 
							$eini=$dato["exi_ini"];
							$efin=$dato["exi_fin"];
						}
						//agregar a cardex los datos
						$ti_ve = 'VE-'. $_SESSION['al'];
						if(!$esCargado)
						$sql="INSERT INTO dgcardex (nparte1, fec_mov, tip_mov, fol_recep, num_fol,almacen, mov_sal, cos_pro_mov, pre_comven, ex_in, ex_fi, codigo) VALUES('$producto', CURDATE(), '$ti_ve', '$noPed', '$noPed','".$_SESSION['al']."','$canPed','".$dt_invent['cos_prom']."', '$tcdx', '$exfi', '$efin','".$_POST['ver33']."')";
						else
							$sql="UPDATE dgcardex SET mov_sal='$canPed' where fol_recep='$noPed' and nparte1='$producto' and almacen='".$_SESSION['al']."'";
							//echo $sql;
						if(!mysqli_query($con ,$sql))
						{
							die('Error en cardex: ' . mysqli_error($con));
						}
					}
				}//TERMINA SI AFECTA INVENT
			}//TERMINA SI HAY ARTICULOS EN ALMACEN
		}
	}
	
	echo '1|'.$idAfectedPememd.'|'.$producto.'|';
	
}elseif(isset($_POST['gtv'])){//Detalle Venta
		$idVen=$_POST['nve'];
	echo '<table align="center" border="0" cellpadding="0" cellspacing="0">';
	//mostrar datos encontrados en dgrefodd
	if ($dt==0){
	@$res=mysqli_query($con ,$sq="select dgpememd.*, dginventp.np_desc1 as descripcion, dginventp.tipo as alimento from dgpememd inner join dginventp on(dginventp.nparte1=dgpememd.nparte1) where  dgpememd.cons_ven = '$idVen' and cancela=0 order by  dgpememd.fol_ven1,fcomd asc ");
	}else if ($dt==1){
	@$res=mysqli_query($con ,$sq="select dgpememd.*,dginventp.np_desc1 as descripcion from dgpememd inner join dginventp on(dginventp.nparte1=dgpememd.nparte1) where  dgpememd.cons_ven = '$idVen' and fcomd='".$_SESSION['comand']."' and cancela=0 order by  dgpememd.fol_ven1,fcomd asc ");
	}
	if ($_SESSION['comand']!=''){
		$sumct=mysqli_query($con ,"select sum(can_ref) as cantart from dgpememd where cons_ven='".$_SESSION['foli']."'  and fcomd='".$_SESSION['comand']."' and cancela=0 ");			
	$ctart=mysqli_fetch_array($sumct);
	}else{	$sumct=mysqli_query($con ,"select sum(can_ref) as cantart from dgpememd where cons_ven='".$_SESSION['foli']."' and cancela=0  ");			
	$ctart=mysqli_fetch_array($sumct);
	}
		echo '<input type="hidden" name="tex_tot_art" id="tex_tot_art" value="'.$ctart['cantart'].'" onkeypress="return false">';	
	echo '
		<tr>
			<td width="30" class="encTabDet"></td>
			<td width="30" class="encTabDet">CAN.</td>
			<td width="220" class="encTabDet">DESCRIPCION</td>
			<td width="60" class="encTabDet">IMP.</td>
			<td width="40" class="encTabDet">COMANDA</td>
		</tr>';
	while($row = mysqli_fetch_array($res))
	{
		echo '<tr>';
		echo '<td width="30" class="detTabDet"><div align="center">';
		?>
		<input name="beliminar" id="beliminar<?php
 echo $row['fol_ven1'];?>" value="<?php
 echo $row['fol_ven1']; ?>" type="image" src="logos/cerrar.gif" style="width:30px; height:30px;" onClick="eliminarProd(this.value); "/>

		<? //eliminarProd(this.value); return false;
		echo '</div></td>';
		echo '<td width="30"  class="detTabDet"><div align="right">' ?>
		<input name="bcambiar" id="bcambiar<?php
 echo $row['fol_ven1'];?>" value="<?php
 echo $row['fol_ven1']; ?>" type="radio" onClick="cambiarProd(this.value); return false;"/> 
		<?php
 echo  $row['can_ref'] . '</div></td>';
		echo '<td width="205" class="detTabDet"><div align="left">' .$row['descripcion'] . '</div></td>';
		$pbas=$row['pre_uni'];
		$pbase =  $pbase + $pbas;
		$c = $c + $row['can_ref'];
		$d = $d + $row['des'];
		$pre_u = $pbas - $row['des'];
		$p = $p + $pre_u;
		//sacra el iva
		$sbt = $pre_u * $row['can_ref'];
		
		$s = $s + $sbt;
		$ivpp = $row['iva_pre'];
		$iv = $iv + $ivpp;
		$t = $row['total_cd'];
		//suma solo alimentos
		
		if ($row['alimento']=='1'){
		$ali=$row['total_cd'];
		$ati+=$ali;
		}
		//restar descuento
		$sqlDdd=$row['total_cd']-$row['imp_des'];
		$desAaa+=$sqlDdd;
		//sumar descuento
		$masDes+=$row['imp_des'];
		
		echo '<td width="60" class="detTabDet"><div align="right">' . number_format($row['total_cd'], 2, '.', ',') . '</div></td>';
				echo '<td width="40" class="detTabDet"><div align="right">' . $row['fcomd'] . '</div></td>';
		$tot = $tot + $t;
		echo '</tr>'; 
	}
	
    echo '<input type="hidden" name="tex_tot_ven" id="tex_tot_ven" value="'.number_format($tot,2,'.','').'" onkeypress="return false">';
	echo '<input type="hidden" name="tex_tot_ali" id="tex_tot_ali" value="'.number_format($ati,2,'.','').'" onkeypress="return false">';
	echo '<input type="hidden" name="tex_tot_dto" id="tex_tot_dto" value="'.number_format($desAaa,2,'.','').'" onkeypress="return false">';
	echo '<input type="hidden" name="tex_sum_des" id="tex_sum_des" value="'.number_format($masDes,2,'.','').'" onkeypress="return false">';
	echo '<input type="hidden" name="tex_por_cen" id="tex_por_cen" value="'.number_format($row['por_des'],2,'.','').'" onkeypress="return false">';
	echo '</table>';

}elseif(isset($_POST['eliminaProd'])){
	$dats=explode('|',$_POST['eliminaProd']);
	
	$g1 = $dats[1];
	$g2 = $dats[0];
	
	//sacar datos del dgmememd
	//
	
	@$result = mysqli_query($con ,"SELECT * FROM dgpememd WHERE fol_ven1 ='$g1'");
	$dt_pememd=mysqli_fetch_array($result);
	$noPedido=$dt_pememd['cons_ven'];
	$g2 =$dt_pememd['nparte1']; //no del producto
	$datos[2]=$dt_pememd['cons_ven'];
	$datos[4]=$dt_pememd['can_ref'];
	$datos[8]=$dt_pememd['total_cd'];
	$datos[11]=$dt_pememd['iva_pre'];
	$datos[18]=$dt_pememd['subtotal'];
	//buscar la existencia de dginventp
	$dt_invent=mysqli_fetch_array(mysqli_query($con ,"SELECT * FROM dginventp WHERE nparte1='$producto'"));
	if($dt_invent['afe_inv']=='S' || $dt_invent['afe_inv']=='1') $dt_invent['afe_inv']=1;
	//else $dt_invent['afe_inv']=0;
	
	@$result = mysqli_query($con ,"SELECT * FROM dginventp WHERE nparte1 ='$g2'");
	while(@$dato = mysqli_fetch_array ($result))
	{ 
		$ex1=$dato['exi_fis'];
		$ex2=$dato['exi_dis'];

	}
	$ex1 = $ex1 + $datos[4];
	$ex2 = $ex2 + $datos[4];
	if($dt_invent['afe_inv']=='S' || $dt_invent['afe_inv']=='1'){
		$sql="UPDATE dginventp SET exi_fis = '$ex1', exi_dis = '$ex1' WHERE nparte1='$g2'";
		if (!mysqli_query($con ,$sql))
		{
			die('Error1: ' . mysqli_error($con));
			exit();
		 }
	 }
	//--------------------------------------------------->
	//buscar la existencia de dginvalm
	@$result = mysqli_query($con ,"SELECT * FROM dginvalm WHERE nparte1 like '$g2'");
	while(@$dato = mysqli_fetch_array ($result))
	{ 
		$ex1=$dato[3];
		$ex2=$dato[4];

	}
	$ex1 = $ex1 + $datos[4];
	$ex2 = $ex2 + $datos[4];
	//hacer la modificacion en dginvalm
	if($dt_invent['afe_inv']=='S' || $dt_invent['afe_inv']=='1'){
		$sql="UPDATE dginvalm SET exi_fis_alm = $ex1, can_dis_alm = $ex1 WHERE nparte1 = '$g2' && almacen = '".$_SESSION['al']."'";
		if (!mysqli_query($con ,$sql))
		{
			die('Error2: ' . mysqli_error($con));
			exit();
		 }
	 
		//---------------------------------------------------->
		//Eliminar del cardex
		$sql="DELETE FROM dgcardex WHERE nparte1 ='$g2' AND fol_recep = '$datos[2]' AND almacen='".$_SESSION['al']."' and tip_mov='VE-$datos[2]'";
		if (!mysqli_query($con ,$sql)){
		  	die('Error3: ' . mysqli_error($con));
	 	} 
	}	 
	@$result = mysqli_query($con ,"SELECT * FROM dginvacu WHERE nparte1 like '$g2' order by axo asc, mes asc");
	@$num_salidas=mysqli_num_rows($result); 
	//si no estaba ese articulo en el acumulado entonces
	if($num_salidas==0 && ($dt_invent['afe_inv']==1 || $dt_invent['afe_inv']=='S'))
	{
		//generar un nuevo registro de compra existencia inicial, final y la compra
		echo 'Este articulo no se encuentra en el acumulado favor de Agregarlo';
	}elseif($dt_invent['afe_inv']==1 || $dt_invent['afe_inv']=='S'){
		while($dato = mysqli_fetch_array ($result))
		{
			//sacar el ultimo año y mes
			$uaxo = $dato['axo'];
			$umes = $dato['mes'];
			$exfi = $dato['exi_fin'];
			$np  = $dato['nparte1'];
		}
		//si el año es anterior al actual aqui
		if (date("Y") > $uaxo){
			//sacar la cantidad de meses por año de diferencia
			$difaxo = date("Y") - $uaxo;
			//si es solo un año de diferncia
			if($difaxo == 1)
			{
				$dif[$i] = 12 - $umes;
			}else{
				$dif[$i] = 12 - $umes;
				for($j=1;$j<=$difaxo-1;$j++)
				{
					$dif[$i] = $dif[$i] + 12;
				}
			}	
		//diferencia va ha ser igual a la diferencia de años anteriores + los meses actuales -1
			$dif[$i] = $dif[$i] + (date("m"));
		}else{
			//en todo caso verificar la diferencia de meses 
			$dif[$i] = date("m") - $umes;
		}
		//mandar datos a acumulados
		//si es del mismo mes
		if($dif[$i]==0){
			$a = date('Y');
			$m = date('m');
			//buscar datoa anteriores y sumarles los nuevos y reguardar los datos
			@$result = mysqli_query($con ,"SELECT * FROM dginvacu WHERE nparte1 like '$g2' && axo = '$a' && mes = '$m'");
			while($dato = mysqli_fetch_array ($result)){
				//sacar datos
				$unpa = $dato['exi_ini'];
				$ucom = $dato['compras'];
				$udec = $dato['dev_com'];
				$uten = $dato['tra_ent'];
				$utsa = $dato['tra_sal'];
				$uven = $dato['ventas'];
				$udve = $dato['dev_ven'];
				$ureq = $dato['requi'];
				$uder = $dato['dev_requi'];
			}
			$uven = $uven - $datos[4];
			$ef = $unpa + $ucom - $udec + $uten - $utsa - $uven + $udve - $ureq + $uder;
			
			//mandar la ctualizacion
			$sql="UPDATE dginvacu set ventas = $uven , exi_fin = $ef WHERE nparte1 like '$g2' && axo ='$a' && mes = '$m'";
			if (!mysqli_query($con ,$sql)){
				die('Error 4: ' . mysqli_error($con));
			}

		}else{
			//elaborar registros por mes atrasado
			$t = $dif[$i] + 1;
			for($y=1;$y<=$dif[$i];$y++)
			{
				$t = $t - 1;
				//conocer la fecha del ultimo mes registrado
				$fecha = date("m/d/Y",mktime(0,0,0,date("m")-$t,date("d"),date("Y")));
				$a = substr($fecha,6);
				//echo $fecha .'<br>';
				$m = substr($fecha,0,2);
				//echo $m;
				//buscar ese registro para sacar 
				
				@$result = mysqli_query($con ,"SELECT * FROM dginvacu WHERE nparte1 like '$g2' && axo = '$a' && mes = '$m'");
				while($dato = mysqli_fetch_array ($result)){
					$ef = $dato['exi_fin'];
				}
				$ei = $ef;
				//crear una nueva fecha
				$x = $t - 1;
				$fecha1 = date("m/d/Y",mktime(0,0,0,date("m")-$x,date("d"),date("Y")));
				$a1 = substr($fecha1,6);
				$m1 = substr($fecha1,0,2);
				//si es el ultimo mes entonces sumarle la nueva cantidad
				if ($a1 == date("Y") && $m1==date("m"))
				{
					$ef = $ca2[$i] + $ei;
					$sql="INSERT INTO dginvacu(nparte1,axo,mes,exi_ini,exi_fin,ventas) VALUES('$g2' ,'$a1', '$m1', '$ei', '$ef', '$datos[4]')";	
					if (!mysqli_query($con ,$sql))
					{
						die('Error 5: ' . mysqli_error($con));
					}
				}else{
					$sql="INSERT INTO dginvacu(nparte1,axo,mes,exi_ini,exi_fin) VALUES('$g2' ,'$a1', '$m1', '$ef', '$ef')";	
					if (!mysqli_query($con ,$sql)){
						die('Error 6: ' . mysqli_error($con));
					}		
				}
			}
		}
	}
	//----------------------------------------->
	//restar datos en dgpemema
	@$result = mysqli_query($con ,"SELECT * FROM dgpemema WHERE fol_ven = '$noPedido'");
	$dato = mysqli_fetch_array ($result);
	$su_to1=$dato['sub_ven'];
	$iv_to1=$dato['iva_ven'];
	$to_to1=$dato['tot_ven'];

	$su_to=$su_to1 - $datos[18];
	$iv_to=$iv_to1 - $datos[11];
	$to_to=$to_to1 - $datos[8];

	//agregar registro a la orden de actualizada
   $sql="UPDATE dgpemema SET paso = 1, sub_ven = $su_to, iva_ven = $iv_to, tot_ven = $to_to WHERE fol_ven = '$noPedido'";
	if (!mysqli_query($con ,$sql))
	{
		die('Error: ' . mysqli_error($con));
		exit();
	 }	 
	 if ($_SESSION['comand']==''){
	 //Eliminar dgpemema
	$sql="update dgpememd set cancela=1 WHERE nparte1 = '$g2' and fol_ven1 = '$g1'";
	 }else{
	//Eliminar dgpemema
	$sql="DELETE FROM dgpememd WHERE nparte1 = '$g2' and fol_ven1 = '$g1'";
	}
	$sql2="UPDATE ctmesas set status=0, fol_ven=0 where  nparte1='2'";
	if (!mysqli_query($con ,$sql)){
	  	die('Error3: ' . mysqli_error($con));
	 } 
//////////***************************************************************************/////////////////
}elseif(isset($_POST['cambiarProd'])){
	$dats=explode('|',$_POST['cambiarProd']);
	
	$g1 = $dats[1];
	$g2 = $dats[0];
	$gp = $dats[2];
	$gm = $dats[3];
	//sacar datos del dgmememd
	//
	
	@$result = mysqli_query($con ,"SELECT * FROM dgpememd WHERE fol_ven1 ='$g1'");
	$dt_pememd=mysqli_fetch_array($result);
	$noPedido=$dt_pememd['cons_ven'];
	$g2 =$dt_pememd['nparte1']; //no del producto
	$datos[2]=$dt_pememd['cons_ven'];
	$datos[4]=$dt_pememd['can_ref'];
	$datos[8]=$dt_pememd['total_cd'];
	$datos[11]=$dt_pememd['iva_pre'];
	$datos[18]=$dt_pememd['subtotal'];
	//----------------------------------------->*/`
	//datos de cambio
	$folvta=mysqli_fetch_array(mysqli_query($con ,"select fol_ven from fpos where mesa=".$gm." and nparte1=".$gp." and status=1 "));
	$consven=$folvta['fol_ven'];
	$fpos=$gp;
	//restar datos en dgpemema al que se quitara el plato 
	@$result = mysqli_query($con ,"SELECT * FROM dgpemema WHERE fol_ven = '$noPedido'");
	$dato = mysqli_fetch_array ($result);
	$su_to1=$dato['sub_ven'];
	$iv_to1=$dato['iva_ven'];
	$to_to1=$dato['tot_ven'];

	$su_to=$su_to1 - $datos[18];
	$iv_to=$iv_to1 - $datos[11];
	$to_to=$to_to1 - $datos[8];

	//Elimina la cantidad del producto en dgpemema donde estaba
   $sql="UPDATE dgpemema SET paso = 1, sub_ven = $su_to, iva_ven = $iv_to, tot_ven = $to_to WHERE fol_ven = '$noPedido'";
	if (!mysqli_query($con ,$sql))
	{
		die('Error: ' . mysqli_error($con));
		exit();
	 }	 
	//Modifica dgpemema a un nuevo lugar
	$sql="UPDATE dgpememd SET cons_ven=$consven, fpos=$fpos WHERE nparte1 = '$g2' and fol_ven1 = '$g1'";
	if (!mysqli_query($con ,$sql)){
	  	die('Error3: ' . mysqli_error($con));
	 } 
/*	$sql="DELETE FROM dgpememd WHERE nparte1 = '$g2' and fol_ven1 = '$g12'";
	if (!mysqli_query($con ,$sql)){
	  	die('Error3: ' . mysqli_error($con));
	 } */

	//Agrega el nueva suma de datos al folio donde fue cambiado 
	@$result = mysqli_query($con ,"SELECT * FROM dgpemema WHERE fol_ven = '$consven'");
	$dato = mysqli_fetch_array ($result);
	$su_to1n=$dato['sub_ven'];
	$iv_to1n=$dato['iva_ven'];
	$to_to1n=$dato['tot_ven'];

	$su_to2=$su_to1n + $datos[18];
	$iv_to2=$iv_to1n + $datos[11];
	$to_to2=$to_to1n + $datos[8];

	//Elimina la cantidad del producto en dgpemema donde estaba
   $sql="UPDATE dgpemema SET paso = 1, sub_ven = $su_to2, iva_ven = $iv_to2, tot_ven = $to_to2 WHERE fol_ven = '$consven'";
	if (!mysqli_query($con ,$sql))
	{
		die('Error: ' . mysqli_error($con));
		exit();
	 }	 	 
 
///////////////////////////////////////////////////***********************************//////////////////


}elseif(isset($_POST['cancelaPedido'])){
	$noPed=$_POST['cancelaPedido'];
	$rs=mysqli_query($con ,"UPDATE dgpemema set cancelado='1' where fol_ven='$noPed'");
	$rs=mysqli_query($con ,"UPDATE dgger_cajerosj set cancelado='1' where pedido='$noPed'");
}elseif(isset($_POST['gtp'])){
	$sq_dat=mysqli_query($con ,"SELECT * FROM dgtippag where tip_pag!=3");
	echo "<table cellpadding=\"0\" cellspacing=\"3\" border=\"0\">";
	while($dt_tippag=mysqli_fetch_array($sq_dat)){
	echo "
		<tr>
			<td onclick=\"agrDetPag('".$dt_tippag['tip_pag']."','".$dt_tippag['desc_pag']."')\"  class=\"cellTipPag\">
				<div>".substr($dt_tippag['desc_pag'],0,16)."</div>
			</td>
		</tr>";		
	} //BOTON CORTESIA
	echo " 
		<tr>
			<td onclick=\"getOnLayer({action:'DYVALPASS.php',idLayer:'divValPass',title:'ACCESO CORTESIA'},{arg:'T',onIntro:'checkPass'})\"  class=\"cellTipPag\">
				<div>CORTESIA</div>
			</td>
		</tr>";		
	echo "</table>";
}elseif(isset($_POST['agrp'])){
	$idPemema=mysqli_real_escape_string($con,$_POST['ipem']);
	$totDes=$_POST['tode'];	
	$dt_pemema=mysqli_fetch_array(mysqli_query($con ,"SELECT fol_ven, cod_cli, fec_ven, tip_ven, con_ven, imp_pag, imp_not, tot_ven, facturado, cancelado FROM dgpemema WHERE fol_ven='$idPemema'"));
	echo mysqli_error($con);
	$impPag=mysqli_real_escape_string($con,$dt_pemema['tot_ven']-$totDes);
	$tipVen=$_SESSION['tipven'];
	$idCatVen=$_SESSION['vendedor'];
	$fecPag=$_SESSION['fecven'];
	$canDes=$_POST['cade'];
	$tipDes=$_POST['tide'];
	$horPag=date('H:i:s');
	$tipMov='1';
	$conPag='Pago Orden';
	
	$obsPago=mysqli_real_escape_string($con,$_POST['obp']);
	if(strcmp($tipAfe,"E")==0 && $impPag>0) $impPag=$impPag*(-1);
	if(strcmp($tipAfe,"I")==0 && $impPag<0) $tipAfe="E";
	$idPemema=mysqli_real_escape_string($con,$_POST['ipem']);
	$auxDataPag=mysqli_real_escape_string($con,$_POST['dp']);
	$dataPag=explode("|",$auxDataPag);
	$cambio=mysqli_real_escape_string($con,$_POST['cam']);
	//---->Se Verifica que sea valida la orden
	if($dt_pemema['fol_ven']=="" || $dt_pemema['fol_ven']=="0" || !isset($dt_pemema['fol_ven'])){
		echo "0";
		exit();
	}
	//---->Se Verifica que no se supere total de la venta(pagos + notas)
	if(($impPag+$dt_pemema['imp_pag']+$dt_pemema['imp_not'])>$dt_pemema['tot_ven']){
		echo "-5";
		exit();
	}
	//---->Se Verifica que el registro de pago no sea 0;
	if($impPag==0 && ($totDes==0 || $totDes=='')){
		echo "-4";
		exit();
	}
	//---->Se Verifica queno este cancelado;
	if($dt_pemema['cancelado']=='1'){
		echo "-8";
		exit();
	}			

	/*************A G R E G A R    E N C A B E Z A D O    D E   P A G O*************/
	$fecAlt=$dt_pemema['fec_ven'];
	//$impPag=$impPag;
	($impPag<0)?($tipAfe="E"):($tipAfe="I");
	if($impPag>0){
		@$sql=mysqli_query($con ,"INSERT INTO dgger_cajerosj(vendedor, tip_caj, fec_rec, tip_mov, num_cli, concepto, importe,  pedido, acc_fec, acc_hor, usuario, tip_afe) values ('$idCatVen', '$tipVen', '$fecPag', '$tipMov', '".$dt_pemema['cod_cli']."', '$conPag', '$impPag', '$idPemema', CURDATE(), CURTIME(),'".$_SESSION['num_usu']."', '$tipAfe')");
		$idger_cajerosj = mysqli_insert_id();
		
		//Soporte de Pago
		$rs=mysqli_query($con ,"INSERT INTO dgger_cajerosf SET n_rec='$idger_cajerosj ', fol_ven='$idPemema', imp_pag='$impPag', acc_fec=CURDATE(), acc_hor=CURTIME(), usuario='".$_SESSION['num_usu']."'");
	}
	//echo mysqli_error($con);
	/*Verificar si pagado totalmente*/
	$dt_ger_cajerosjSUM=mysqli_fetch_array(mysqli_query($con ,"SELECT SUM(dgger_cajerosf.imp_pag) as impPag FROM dgger_cajerosj LEFT JOIN dgger_cajerosf ON(dgger_cajerosf.n_rec=dgger_cajerosj.n_rec) WHERE dgger_cajerosf.fol_ven='".$dt_pemema['fol_ven']."'"));
	if($dt_pemema['imp_not']<0) $dt_pemema['imp_not']=0;
	if(($dt_pemema['tot_ven']-$totDes)<=($dt_ger_cajerosjSUM['impPag']+$dt_pemema['imp_not'])){
		$esPagPem='S';
		$fecLiq=chfecha($fecPag,'Y-m-d','d/m/Y');
		$fecLiqSis=$fecPag;
		$ordLiq='L';
	}else{
		$fecLiq='  /  /    ';
		$fecLiqSis='0000-00-00';
		$esPagPem='N';
		$ordLiq='P';
	};
	
	/********************************/
	if($canDes!='' && $canDes>0){
		if($tipDes=='P'){
			$porDes=round($canDes,2);
		}elseif($tipDes=='M'){
			$porDes=round($canDes/$dt_pemema['tot_ven']*100,2);
		}
		$rs=mysqli_query($con ,"UPDATE dgpememd SET por_des='$porDes',pre_uni=round(pre_uni*(1-por_des/100),2),imp_des=round(pre_uni*por_des/100,2), total_cd=round(total_cd*(1-por_des/100),2),subtotal=round(subtotal*(1-por_des/100),2),iva_pre=round(total_cd-subtotal,2) WHERE cons_ven='".$dt_pemema['fol_ven']."'");
		$dtSumPememd=mysqli_fetch_array(mysqli_query($con ,"SELECT SUM(total_cd) as totVen,SUM(subtotal) as subVen,SUM(iva_pre) as ivaVen FROM dgpememd WHERE cons_ven='".$dt_pemema['fol_ven']."' "));
		$rs=mysqli_query($con ,"UPDATE dgpemema SET por_des='$porDes', sub_ven='".$dtSumPememd['subVen']."', iva_ven='".$dtSumPememd['ivaVen']."', tot_ven='".$dtSumPememd['totVen']."' WHERE fol_ven='".$dt_pemema['fol_ven']."'");
		
	}
	/*************ACTUALIZA PAGOS DGPEMEMA***********/
	$rs=mysqli_query($con ,"UPDATE dgpemema SET imp_pag='".$dt_ger_cajerosjSUM['impPag']."',imp_not='".$dt_pemema['imp_not']."', pagado='$esPagPem' WHERE fol_ven='".$dt_pemema['fol_ven']."'");
	/***********************************************/
	
	/**************************************************
	*       SI CONEXION CON PROGRAMA ALTERNO          *
	***************************************************/
	/************TERMINA SI CONEXION CON PROGRAMA ALTERNO************/
	
	/***********SI ES FACTURADO AGREGA PAGO***********/
	if(strcmp($dt_pemema['facturado'],'S')==0 || $dt_pemema['facturado']==1){
		$dt_catcli=mysqli_fetch_array(mysqli_query($con ,"SELECT codigo FROM dgcatcli WHERE cod_cli='".$dt_pemema['cod_cli']."'"));
		$dt_tipven=mysqli_fetch_array(mysqli_query($con ,"SELECT * FROM dgtipven WHERE tip_ven='".$dt_pemema['tip_ven']."'"));
		$dt_parame=mysqli_fetch_array(mysqli_query($con ,"SELECT * FROM dgparame"));
		$tm1 = "A";
		$tip_cob = "1";
		$fec_cob = $fecPag;
		$fol_cob =$idger_cajerosj;//pendiente
		$codigo = $dt_catcli['codigo'];
		$cli_pro = "C";
		$tip_mto = "C";
		$fec_mov =date("Y-m-d");
		$num_doc =$dt_tipven['tip_fac'];
		$imp_cob = $impPag;
		$cve_mto = $dt_parame['cta_clie_cred'];
		//$iva_cob = $_REQUEST['t7'];
		$tot_cob =$impPag;
		//$gen_pol = $_REQUEST['t9'];
		//$afe_con = $dt_redocl['tip_afe'];
		//-------------------------------------------------------->	//actualizacion	//-->
		$tm = "AS";//tipo de movimiento AGRAGAR (A) MODIFICAR (M) ELIMINAR (E)
		$num_reg = 0;
		$pag_reg1 = "DG31000_AG.php";//A DONDE VA SI ES TODO OK
		$pag_reg2 = "DG31000_AG.php";//A DONDE VA SI ES ERROR
		$regresar = 0; 
		$tip_per = 'C';
		$cli_pro = 'C';
		include('DV35000_CL.php'); 			
	}
	/*************************************************/
	
	/************************* T E R M I N A   A G R E G A R   E N C A B E Z A D O    D E    P A G O************************/
	
	/********************************A G R E G A R    D E T A L L E    D E     P A G O**************************************/
	$dt_ger_cajerosj=mysqli_fetch_array(mysqli_query($con ,"SELECT n_rec as idger_cajerosj,importe as impPag,fec_rec as fecPag,pedido as idPemema,imp_pag as impApl,num_cli as codCli,tip_mov as tipMov,tip_afe as tipAfe FROM dgger_cajerosj WHERE n_rec='$idger_cajerosj'"));
	$dt_catcli=mysqli_fetch_array(mysqli_query($con ,"select codigo from dgcatcli WHERE cod_cli='".$dt_ger_cajerosj['codCli']."'"));
	for($i=0;$i<count($dataPag);$i++){//BUCLE PARA AGREGAR DETALLE DE PAGO
		$auxDataDet=explode(",",$dataPag[$i]);
		$dt_tippag=mysqli_fetch_array(mysqli_query($con ,"SELECT tip_pag as idTipPag,tip_mv_pag as tipVerPag,tip_aplica as tipAplPag FROM dgtippag WHERE tip_pag='$auxDataDet[0]'"));
		$idTipPag=$auxDataDet[0];
		$impPag=$auxDataDet[3];
		$refPag=$auxDataDet[2];
		$autPag=$auxDataDet[1];
		//revisar si hay datos para hacer la operacion
		if(!is_numeric($impPag) || $dt_tippag['idTipPag']=="" || $dt_tippag['idTipPag']==NULL){
			//echo '0';//Cantidad No Numerica
			$rsDet = 0;
		}elseif(abs($impPag)>0){//SI CASO CONTRARIO ES POR QUE SI ES CANTIDAD
			$a = 1;
			$dif1 = 0;
			$tp = 0;
			/*PAGO DE ANTICIPO*/
			if($dt_tippag['tipAplPag'] == "A"){

			}elseif($dt_tippag['tipAplPag'] == "N"){//PAGO DE NOTA DE CREDITO

			}
		
			if($a == 1){
				//saco el importe a pagar		
				//$sql=mysqli_query($con ,"SELECT * FROM dgger_cajerosj where n_rec = '$idger_cajerosj'");
				//$bus = mysqli_fetch_array($sql);
				$imp = $dt_ger_cajerosj['impPag'];//importe por pagar
		
				//calcular la cantidad pagada
				$dt_ger_cajerosd=mysqli_fetch_array(mysqli_query($con ,"SELECT SUM(importe) as totImpPag FROM dgger_cajerosd where n_rec = '".$dt_ger_cajerosj['idger_cajerosj']."' "));
				$sc = $dt_ger_cajerosd['totImpPag'];
				$sc = 0;
				if(abs($imp) > abs($sc)){
					$cdif = abs($imp) - abs($sc);
					//echo $cdif.'<br>';
					$dif = $cdif - $impPag;
					//echo $dif.'<br>';
					 if ($dif < 0){
						$sa = $cdif;
						$cam = $impPag-$cdif;
					}else{
						$sa = $impPag;
						$cam = 0;
					}
					//agrego datos a detalle
					@$sql=mysqli_query($con ,"INSERT INTO dgger_cajerosd (n_rec, tip_pag, importe, ref, aut, acc_fec, acc_hor, usuario, tdp) values ('".$dt_ger_cajerosj['idger_cajerosj']."', '$idTipPag','$sa','$refPag', '$autPag',CURDATE(), CURTIME(),'".$_SESSION['num_usu']."', '$tp')");
					$ultimo_id = mysqli_insert_id($con);
					//calcular la cantidad pagada
					$dt_ger_cajerosd=mysqli_fetch_array(mysqli_query($con ,"SELECT SUM(importe) as totImpPag FROM dgger_cajerosd where n_rec = '".$dt_ger_cajerosj['idger_cajerosj']."' "));
					@$frg=mysqli_query($con ,"update dgger_cajerosj set imp_pag='".$dt_ger_cajerosd['totImpPag']."', cambio='$cambio' where n_rec = '".$dt_ger_cajerosj['idger_cajerosj']."'");
					$rsDet='1';
				}else{
					$rsDet='-4';
					//msj_java("RECIBO PAGADO TOTALMENTE!!");
				}
			}
		}
	}//TERMINA BUCLE PARA AGREGAR DE DETALLES DE PAGO
	echo "[{idrc:$idger_cajerosj,cam:$cambio}]";
	
	/************************T E R M I N A  A G R E G A R    D E T A L L E    D E     P A G O*******************************/	
}elseif(isset($_POST['checkPass'])){ //PIRN
	$tipo=$_POST['tip'];
	$per=$_POST['us'];
	$idBot=$_POST['idB'];
	$idCatVen=$_SESSION['vendedor'];
	$fecVen=$_SESSION['fecven'];
	if($tipo=='A') $tipo='ARQUEO';
	elseif($tipo=='C') $tipo='CORTE';
	elseif($tipo=='T') $tipo='CORTESIA';
	elseif($tipo=='M') $tipo='MESERO';
	elseif($tipo=='MS') $tipo='MESERA';
	
	$dt_rs=mysqli_fetch_array(mysqli_query($con ,"SELECT count(*) as numRows, nparte1, iniciales FROM ctmeser WHERE codigo='$per' order by nparte1"));
	
	if($dt_rs['numRows']>0){ //1
		$out ="1|";		
		
			 if($tipo=='CORTESIA'){  
			
			
			 } 
			 elseif($tipo=='MESERO'){  
			
			 mysqli_query($con ,"UPDATE fcomhues SET cvmesero='".$dt_rs['nparte1']."', modify='1' WHERE status='1' and cvmesa='$idBot'");
			 //$dt_mema=mysqli_query($con ,"UPDATE dgpemema SET cod_ven='".$dt_rs['nparte1']."' WHERE fpos_mesa='$idBot' and ");
			 
			 $updbte=mysqli_query($con ,"SELECT cvmesero, fol_ven FROM fcomhues WHERE modify='1'");
             while ($dt_date=mysqli_fetch_array($updbte)){
             $insbrt=mysqli_query($con ,"update dgpemema set cod_ven='".$dt_date['cvmesero']."' where fol_ven='".$dt_date['fol_ven']."'");
             }
			 
			 mysqli_query($con ,"insert into repecamb set acc_fec=CURDATE(), acc_hor=CURTIME()");
			 
			 mysqli_query($con ,"insert into dncatper set no_pd='CAMBIADO', acc_fec=CURDATE(), sta_perc='$tipo', inf_perc='$per', cta_glo_dep='".$dt_rs['nparte1']."', afe_fun='$idBot'");
			 
			 }  
			 elseif($tipo=='MESERA'){  
			
			 mysqli_query($con ,"insert into repecamb set mes_new='".$dt_rs['nparte1']."', acc_fec=CURDATE(), acc_hor=CURTIME()");
			 
			 mysqli_query($con ,"insert into dncatper set no_pd='CAMBIADO', acc_fec=CURDATE(), sta_perc='$tipo', inf_perc='$per', cta_glo_dep='".$dt_rs['nparte1']."', afe_fun='$idBot'");
			 }  

	}else{ //N
		$out ='-1|';
	} // FIN N  
	echo $out;
}
//1096 --> 500 ultima actualizacion quitar lim_1,lim_2,lim_3
?>

